---
title: "Get all active mailing lists"
slug: "get-all-active-mailing-lists"
abstract: "Describes the request and response details of this Sitecore Send API endpoint to get your active email lists."
---
# Get all active mailing lists

`GET /lists.{Format}`

Retrieves a list of all the active email lists in your Sitecore Send account.

## Request

| Parameter | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| Format | path | string | true | The supported file format for getting a response.Possible values: json and xml. |
| apikey | query | string | true | The API key of your account. |
| WithStatistics | query | string | false | Specifies whether to fetch statistics for the subscribers.Possible values: true (Default) and false. |
| SortBy | query | string | false | The name of the email list property to sort results by.Possible values: Name, Subject, Status, DeliveredOn, and CreatedOn (Default). |
| SortMethod | query | string | false | Specifies the method to sort results.Possible values: DESC for descending and ASC (Default) for ascending. |

```http
GET https://{hostname}/v3/lists.{Format}?apikey=&WithStatistics=&SortBy=&SortMethod=
```

```curl
curl --include \\
     --header "Content-Type: application/json" \\
     --header "Accept: application/json" \\
     'https://{hostname}/v3/lists.{Format}?apikey=&WithStatistics=&SortBy=&SortMethod='
```

## Response

| Status | Description | Headers | Schema |
| --- | --- | --- | --- |
| 200 OK | The request is successful. | Content-Type:application/json | N/A |

```json
{
  "Code": 0,
  "Error": null,
  "Context": {
    "Paging": {
      "PageSize": 0,
      "CurrentPage": 1,
      "TotalResults": 90,
      "TotalPageCount": 9,
      "SortExpression": null,
      "SortIsAscending": false
    },
    "MailingLists": \[
      {
        "ID": "04fad8e2-2b35-4302-a887-58f14a1152ab",
        "Name": "Your List Name",
        "ActiveMemberCount": 1024,
        "BouncedMemberCount": 16,
        "RemovedMemberCount": 32,
        "UnsubscribedMemberCount": 24,
        "Status": 0,
        "CustomFieldsDefinition": \[
          {
            "ID": "dd4fb545-ba00-4afe-bc39-5ed2462fd1d3",
            "Name": "City",
            "Context": null,
            "IsRequired": false,
            "Type": 0
          },
          {
            "ID": "ae8500d7-d1df-4118-9a2c-6654a7d6a6db",
            "Name": "Age",
            "Context": null,
            "IsRequired": true,
            "Type": 1
          }
        \],
        "CreatedBy": "127.0.0.1",
        "CreatedOn": "/Date(1368710504000+0300)/",
        "UpdatedBy": "127.0.0.1",
        "UpdatedOn": "/Date(1368710923000+0300)/",
        "ImportOperation": {
          "ID": 0,
          "DataHash": "97de8bcb-ca1c-4a4b-bf02-3f639952e093",
          "Mappings": "Some Mappings",
          "EmailNotify": "Some EmailNotify",
          "CreatedOn": "/Date(1400765707431)/",
          "StartedOn": "/Date(1400765707431)/",
          "CompletedOn": "/Date(1400765707432)/",
          "TotalInserted": 0,
          "TotalUpdated": 0,
          "TotalUnsubscribed": 0,
          "TotalInvalid": 0,
          "TotalDuplicate": 0,
          "TotalMembers": 0,
          "Message": "Some Message",
          "Success": false
        },
        "Preferences": {
          "FallbackValue": "",
          "IsRequired": false,
          "Options": \[
            "option 1",
            "option 2",
            "option 3"
          \],
          "SelectType": 0
        }
      },
      {
        "ID": "4d90a60c-fad2-4f29-b541-318f0ea82be6",
        "Name": "Some Name",
        "ActiveMemberCount": 0,
        "BouncedMemberCount": 0,
        "RemovedMemberCount": 0,
        "UnsubscribedMemberCount": 0,
        "Status": 0,
        "CustomFieldsDefinition": \[
          {
            "ID": "c0adddda-12c1-4109-b7db-9a997f70c81f",
            "Name": "Some Name",
            "Context": "Some Context",
            "IsRequired": false,
            "Type": 0
          },
          {
            "ID": "da5bdc1c-08b2-4b3e-b44b-d56ede6d1a31",
            "Name": "Some Name",
            "Context": "Some Context",
            "IsRequired": false,
            "Type": 0
          }
        \],
        "CreatedBy": "Some CreatedBy",
        "CreatedOn": "/Date(1400765707432)/",
        "UpdatedBy": "Some UpdatedBy",
        "UpdatedOn": "/Date(1400765707432)/",
        "ImportOperation": {
          "ID": 0,
          "DataHash": "7ec702c2-0481-45cc-bf92-72bb4912c60d",
          "Mappings": "Some Mappings",
          "EmailNotify": "Some EmailNotify",
          "CreatedOn": "/Date(1400765707432)/",
          "StartedOn": "/Date(1400765707432)/",
          "CompletedOn": "/Date(1400765707432)/",
          "TotalInserted": 0,
          "TotalUpdated": 0,
          "TotalUnsubscribed": 0,
          "TotalInvalid": 0,
          "TotalDuplicate": 0,
          "TotalMembers": 0,
          "Message": "Some Message",
          "Success": false
        },
        "Preferences": {
          "FallbackValue": "",
          "IsRequired": false,
          "Options": \[
            "option 1",
            "option 2",
            "option 3"
          \],
          "SelectType": 0
        }
      }
    \]
  }
}
```

-   `Code` - the response code. This is `0` if successful.
    
-   `Error` - the response error message. This is `null` if successful.
    
-   `Context` - an object that contains all the `Paging` and `MailingLists` information for the requested email list:
    
-   `Paging` - an object that contains the following information:
    
    -   `PageSize` - the page size of the results. This is `0` if not defined.
        
    -   `CurrentPage` - the number of the result page. This is `1` if not defined.
        
    -   `Totalresults` - the number of email lists that are included in the response.
        
    -   `TotalPageCount` - the total number of available email list pages in your account.
        
    -   `SortExpression` - the sort expression associated with the column or columns being sorted.
        
    -   `SortIsAscending` - this is `false` if the results are not displayed in ascending order based on the sort expression.

-   `MailingLists` - a list of email lists in your account containing the following information for each email list:
    
    -   `ID` -the ID of the email list.
        
    -   `Name` - the name of the email list.
        
    -   `ActiveMemberCount` - the number of active members in the email list.
        
    -   `BouncedMemberCount` - the number of bounced emails in the email list.
        
    -   `RemovedMemberCount` - the number of emails removed from the email list.
        
    -   `UnsubscribedMemberCount` - the number of emails unsubscribed from the email list.
        
    -   `Status` - status of the email list. For created, this is `0`, for imported, this is `1`, for importing, this is `2` , and for deleted, this is `3`.
        
    -   `CustomFieldsDefinition` - an array containing the parameters of custom fields in the email list. The parameters are:
        
        -   `ID` - the ID of the custom field.
            
        -   `Name` - the name of the custom field
            
        -   `Context` - the context of the custom field. This is `null` if the field type is not `SingleSelectDropDown`.
            
        -   `IsRequired` - this is `true` if the custom field is required and `false` if it is not.
            
        -   `Type` - the data type of the custom field. Possible values: `0` for text, `1` for number, `2` for dateTime, `3` for SingleSelectDropDown, and `5` for checkbox.

-   `CreatedBy` - the IP address used to create the requested email list.
    
-   `CreatedOn` - the date-time the requested email list was created.
    
-   `UpdatedBy` - the IP address used to update the requested email list.
    
-   `UpdatedOn` - the date-time the requested email list was updated.
    
-   `ImportOperation` - an object that contains the details of the latest import operation performed in the requested email list. This is blank if there was no import done.
    
    -   `ID` - the ID of the import operation.
        
    -   `DataHash` - a globally unique identifier (GUID) for the import operation
        
    -   `Mappings` - the data mappings used for the specific import operation.
        
    -   `EmailNotify` - this is `null` if the import operation notification email was not selected to be sent
        
    -   `CreatedOn` - the date-time when the import operation was created.
        
    -   `StartedOn` - the date-time when the import operation was stated.
        
    -   `CompletedOn` - the date-time when the import operation was completed.
        
    -   `TotalInserted` - the total number of inserted emails.
        
    -   `TotalUpdated` - the total number of updated emails.
        
    -   `TotalUnsubscribed` - the total number of unsubscribed emails.
        
    -   `TotalInvalid` - the total number of invalid emails.
        
    -   `TotalIgnored` - the total number of ignored emails.
        
    -   `TotalDuplicate` - the total number of duplicate emails.
        
    -   `TotalMembers` - the total number of members that were selected to be imported.
        
    -   `Message` - the message of the import operation. This is `null` if successful.
        
    -   `Success` - this is `true` if successful.
        
    -   `SkipNewMembers` - this is `false` if the skip new members option was not selected before the import operation began.

-   `Preferences` - an object that contains the details of the preferences field.
    
    -   `FallbackValue` - this returns if the field has a fallback value.
        
    -   `IsRequired` - this is `true` if the preferences field is required, and `false` if it is not.
        
    -   `Options` - an object that contains all the Preferences options.
        
    -   `SelectType` - this is the data type of the field. It is 0 for single-select and 1 for multi-select.